#version 330 inside OF

Is there a way you can use # version 330 core or higher in GLSL code without using extension # GL_… : enable? I know that it is possible to compile code higher than 1.20 with # extension but I would prefer to do it directly in the higher version (maybe it’s easyer…) What libraries must change in OF to achieve this purpose?
Thanks
Walter

Nobody has an idea for this? please…
Im asking this because i would like to use this code inside OF : http://rastergrid.com/blog/downloads/nature-demo/ the InstanceCloudReduction that use OpenGL version 3.30

I think it is base on what’s graphic card you’re using, You can use “OpenGL Extension Viewer” to check the information.